[package]
name = "atelier"
version = "0.0.0"
edition = "2024"

[workspace]
resolver = "2"
members = [".", "newt"]

[dependencies]
rusqlite = { version = "*", optional = true }
async-channel = { version = "*", optional = true }
urlpattern = { version = "*", optional = true }
url = { version = "*", optional = true }

newt = { path = "./newt", optional = true }

[features]
full = ["web"]
web = ["dep:rusqlite", "dep:async-channel", "dep:urlpattern", "dep:url", "dep:newt"]